import { View, Button } from "@tarojs/components";
import './index.scss'
import NamedIcon from "../NamedIcon";

export default function ShareBtn(props) {

  const handleClick = props.onClick || (() => {})

  return (
    <Button className="sharebtn" onClick={handleClick} openType={props.openType}>
      <View>
        <NamedIcon name={props.name} size={props.size || 56} />
      </View>
      <View>
        <Text>{props.tips}</Text>
      </View>
    </Button>
  )
}